Bug 48072

Summary: update-port: mail/sqwebmail
Product: Ports & Packages Reporter: Oliver Lehmann <lehmann>
Component: Individual Port(s)Assignee: nbm
Status: Closed FIXED    
Severity: Affects Only Me CC: lehmann
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
sqwebmail.patch none

Description Oliver Lehmann 2003-02-07 23:00:28 UTC
	sqwebmail 3.3.7 -> 3.5.0
	pkg-list takes now care about CGIBINDIR and WEBDATADIR (which can be 
	differ from /usr/local/(data|cgi-bin).default)
	add a WITH_HTTPS knob for peoples who are using it with an SSL httpd
Comment 1 Oliver Lehmann 2003-02-13 13:23:36 UTC
The file named "crontab" is not part of this port, but part of this patch.
Please remove it after applying the patch and don't commit it to the CVS
Repository.

  Greetings

-- 
 Oliver Lehmann
        @home: lehmann@ans-netz.de
      @office: oliver.lehmann@mgi.de
         @www: http://www.pofo.de/  |  http://wishlist.ans-netz.de/
Comment 2 Scott Lampert 2003-02-14 23:27:52 UTC
Applying this patch after the original adds the ability to specify using 
  https:// only for pages that require a password, and a second option 
to disable the periodic renaming of the users' Sent folder.

--- Makefile.old        Fri Feb 14 15:16:54 2003
+++ Makefile    Fri Feb 14 15:24:40 2003
@@ -37,11 +37,13 @@
  # set CACHEDIR to where you'd like your cache directory to be
  # set WITH_LDAP for LDAP authentication and addressbook support
  # set WITH_HTTPS to generate https:// URLs for all accesses
+# set WITH_HTTPS=login to generate https:// URLs for only password access
  # set WITH_VCHKPW for vpopmail authentication
  # set WITH_ISPELL to provide spell-checking
  # set WITH_MIMETYPES to enable the search for a mime.types file
  # set WITH_TIMEOUTHARD to something other than 7200 seconds (2hr)
  # set WITH_TIMEOUTSOFT to something other than 1200 seconds (20m)
+# set WITHOUT_AUTOSENTRENAME to turn off periodic renaming of the Sent 
folder
  # set VCHKPW to the home of the vpopmail user, if necessary
  #
  # The following settings are in bytes:
@@ -101,7 +103,15 @@
  .endif

  .if defined(WITH_HTTPS)
+.if ${WITH_HTTPS} == "login"
+CONFIGURE_ARGS+=       --enable-https=login
+.else
  CONFIGURE_ARGS+=       --enable-https
+.endif
+.endif
+
+.if defined(WITHOUT_AUTORENAMESENT)
+CONFIGURE_ARGS+=       --disable-autorenamesent
  .endif

  .if defined(WITH_MYSQL)
Comment 3 Yen-Ming Lee freebsd_committer 2003-02-16 14:42:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nbm

Over to maintainer.
Comment 4 Oliver Lehmann 2003-04-09 13:22:36 UTC
Hi,

are you alive Neil Blakey-Milner? These PR is neary 2 month old now, and
you nerver responded to any emails (not only about this PR) sent by me. -
May I ask why?

   Greetings, Oliver

-- 
 Oliver Lehmann
        @home: lehmann@ans-netz.de
      @office: oliver.lehmann@mgi.de
         @www: http://www.pofo.de/  |  http://wishlist.ans-netz.de/
Comment 5 Tilman Keskinoz freebsd_committer 2003-04-15 15:28:00 UTC
State Changed
From-To: open->closed

Superseded by 50910